+ Reply
Results 1 to 5 of 5

Your favorite Apple, iPhone, iPad, iOS, Jailbreak, and Cydia site.


Thread: iPhone could not be restored because the firmware file is not compatible

is a discussion within the

General

forums, a part of the

Jailbreak / Downgrading / Upgrading

section;
Hi guys, I currently have an iphone 3g fw 3.1.3 and want to upgrade to 4.0.1. I downloaded the file for the 3G phone it starts with "iphone1,2xxxxxxxx" and extracted
...
  1. #1
    What's Jailbreak?
    Join Date
    Jan 2011
    Posts
    2
    Thanks
    0
    Thanked 0 Times in 0 Posts

    Question iPhone could not be restored because the firmware file is not compatible
    Hi guys,

    I currently have an iphone 3g fw 3.1.3 and want to upgrade to 4.0.1. I downloaded the file for the 3G phone it starts with "iphone1,2xxxxxxxx" and extracted using winrar.

    Then I clicked on iTunes and tried to manually update. Unfortunatley, I received the error message "iPhone could not be restored because the firmware file is not compatible".

    I am sure I have downloaded the correct fm version for my type of phone.

    Can anyone help?

  2. #2
    Random Thanks Collector Richard's Avatar
    Join Date
    Mar 2008
    Location
    England (leeds)
    Posts
    1,614
    Thanks
    688
    Thanked 1,111 Times in 547 Posts

    have you got shsh for 4.0.1 saved with Tiny umbrella/Cydia ? if so you will need to Run Tiny before you do a Shift+Restore?

    4.0.1 is not good on the 3G it will make it laggy you are better off on 3.1.3 IMO.

    But if you want to go to 4.0.1 you need your shsh saved,
    . I Am the Random Thanks Collector So Please Press the Thanks Button

  3. #3
    Superbad Modder-ator Simon's Avatar
    Join Date
    Nov 2007
    Location
    Bermuda
    Posts
    45,593
    Thanks
    6,248
    Thanked 14,162 Times in 6,637 Posts

    Is the writing on the back of your phone dark grey or bright silver?

  4. #4
    What's Jailbreak?
    Join Date
    Jan 2011
    Posts
    2
    Thanks
    0
    Thanked 0 Times in 0 Posts

    Quote Originally Posted by pratt1503 View Post
    have you got shsh for 4.0.1 saved with Tiny umbrella/Cydia ? if so you will need to Run Tiny before you do a Shift+Restore?

    4.0.1 is not good on the 3G it will make it laggy you are better off on 3.1.3 IMO.

    But if you want to go to 4.0.1 you need your shsh saved,
    Hi,

    No, I dont think I have it saved with Tiny umbrealla/cydia. How do I do that?

    The reason I want to update is Cydia wont update because I am running 3.1.3..

    Should I just leave it?

    Quote Originally Posted by x98car View Post
    Is the writing on the back of your phone dark grey or bright silver?
    dark grey......
    Last edited by moashie; 01-15-2011 at 10:56 AM. Reason: Automerged Doublepost

  5. #5
    Superbad Modder-ator Simon's Avatar
    Join Date
    Nov 2007
    Location
    Bermuda
    Posts
    45,593
    Thanks
    6,248
    Thanked 14,162 Times in 6,637 Posts

    Ok, you definitely have a 3G then so that isnt the issue. I would suggest just staying at 3.1.3. That is the best firmware for a 3G IMO. 4.0 and up run VERY slow on a 3G, almost to the point of being unusable.


Posting Permissions
  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts